This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 346911 - Port fontconfig to use NSS library for cryptography
Port fontconfig to use NSS library for cryptography
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: CryptoConsolidation
  Show dependency treegraph
 
Reported: 2007-10-23 06:17 EDT by Peter Vrabec
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-25 21:23:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2007-10-23 06:17:58 EDT
fontconfig should be ported to use NSS library for cryptography.
See the tracking bug for details and links on how it could be done.
Comment 1 Behdad Esfahbod 2007-10-25 10:59:22 EDT
Upstreamed, but not closing.
https://bugs.freedesktop.org/show_bug.cgi?id=12929
Comment 2 Behdad Esfahbod 2007-10-25 21:05:52 EDT
Fontconfig only has an internal implementation of MD5.  Does that count? 
Upstream is happy with it and closed WONTFIX.
Comment 3 Behdad Esfahbod 2007-10-25 21:23:06 EDT
Reopen if you know what it should be using NSS for.
Comment 4 Tomas Mraz 2007-10-26 04:25:22 EDT
What is the internal MD5 hash used for?
Comment 5 Behdad Esfahbod 2007-10-31 20:50:15 EDT
Hashing: to create a directory name to use for caching contents of a font directory.

Note You need to log in before you can comment on or make changes to this bug.